﻿# **JID Tool**

## **Basic configuration**

Basic configuration panel is used for setting:

-   Prefix - sending before card UID. It can be any printable or special character available in the list.
    
-   Sufix - sending after card UID. It can be any printable or special character available in the list.
    
-   Prefix on card removal - If enabled, prefix will be sent after card is removed from reader.
    
-   Byte order reversed - If enabled, card UID byte order will be reversed.
    
-   Decimal representation - If enabled, card UID will be decimal instead of hexadecimal.

**Please note that the Save button will change to a green color and must be clicked in order to apply any changes made.**

## Communication mode configuration

The Communication Mode Configuration Panel is used to configure one of the available modes listed below:

-   HID only: This mode enables the sending of the card UID as HID keyboard emulation. Please note that this mode is exclusively available on USB devices.
    
-   Serial only: In this mode, the card UID is sent as a null-terminated string to the serial COM port.
    
-   HID and Serial: This mode allows the card UID to be sent both as HID keyboard emulation and to the serial COM port.

**Please note that the Save button will change to a green color and must be clicked in order to apply any changes made.**

## Idle LED configuration

Within the Idle LED Configuration Panel, you have the option to customize the LED lights when the card is not detected in the reader. You can select from the following modes:

-   Blinking: The LED light periodically blinks in the color set by the color wheel.
    
-   Static: The LED light remains continuously illuminated.
    
-   None: The LED light remains turned off at all times.

**Please note that the Save button will change to a green color and must be clicked in order to apply any changes made.**

## Card detected configuration

Within the Card detected Configuration Panel, you have the option to customize the LED lights when the card is detected by the reader. You can select from the following modes:

-   Static LED: The LED light remains continuously illuminated when the card is on the reader.
    
-   Blinking LED: The LED light blinks more frequently in the color set by the color wheel when the card is on the reader.
    
-   None: The LED light remains turned off when the card is on the reader.

**Please note that the Save button will change to a green color and must be clicked in order to apply any changes made.**

## How to install firmware?

To install new firmware or perform a downgrade, please follow the procedure below:
  
1.  Click on the Update button located in the upper right corner.
    
2.  Select the desired firmware version from the provided list.
    
3.  Click on the Install button.
    
4.  If required, provide the token by submitting it.
    
5.  Wait patiently until the installation process is completed.

## JID reader not connected message
 

When the application is launched, a "JID reader not connected" message may be displayed if the reader is not connected via USB or a USB/Serial adapter. This message is applicable only to the serial hardware version.